import React from 'react';
import { IconName } from "../../../../../../../shared/types/dist/src";
import { IconBaseProps, IconProps } from "./Icon";
type IconElement = HTMLElement;
export type HiddenIconConfig = {
    [key in IconName]?: React.Ref<HTMLElement>;
};
export declare const HiddenIcons: React.ForwardRefExoticComponent<Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key">, "ref"> & {
    icons: HiddenIconConfig;
    iconProps?: Omit<IconProps, "name"> | undefined;
} & React.RefAttributes<HTMLDivElement>>;
export declare const useIconStyles: (iconName?: IconName, icon?: IconElement | null) => import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<IconBaseProps, import("styled-components").DefaultTheme>> | undefined;
export default useIconStyles;
