import React from 'react';
import PropTypes from 'prop-types';
import { ValidationStyleType } from "../../../../../../../shared/types/dist/src";
export type BannerProps = Override<JSXElementProps<'div'>, {
    type: ValidationStyleType;
}>;
declare const Banner: React.ForwardRefExoticComponent<Omit<Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key">, "ref">, "type"> & {
    type: ValidationStyleType;
} & React.RefAttributes<HTMLDivElement>>;
export declare const propTypes: {
    /** The type of notification to render */
    type: PropTypes.Validator<NonNullable<"default" | "info" | "success" | "warning" | "danger" | "advisor">>;
};
export default Banner;
