import React from 'react';
import { Orientation } from "../../controls/OrientationContext";
declare const Legend: import("styled-components").StyledComponent<"legend", import("styled-components").DefaultTheme, {}, never>;
declare const Fieldset: React.ForwardRefExoticComponent<Omit<React.DetailedHTMLProps<React.FieldsetHTMLAttributes<HTMLFieldSetElement>, HTMLFieldSetElement>, "ref"> & {
    legendContent?: React.ReactNode | undefined;
    orientation?: Orientation | undefined;
    flat?: boolean | undefined;
} & React.RefAttributes<HTMLFieldSetElement>>;
type FieldsetComponent = typeof Fieldset & {
    Legend: typeof Legend;
};
declare const _default: FieldsetComponent;
export default _default;
