import React from 'react';
export type MenuSectionProps = {
    title?: string;
    children?: React.ReactNode;
    isFirst?: boolean;
    isLast?: boolean;
    isOnlySection?: boolean;
} & JSXElementProps<'section'>;
declare const MenuSection: React.ForwardRefExoticComponent<{
    title?: string | undefined;
    children?: React.ReactNode;
    isFirst?: boolean | undefined;
    isLast?: boolean | undefined;
    isOnlySection?: boolean | undefined;
} & Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLElement>, HTMLElement>, "key">, "ref"> & React.RefAttributes<HTMLElement>>;
export default MenuSection;
