import React from 'react';
import type * as CSS from 'csstype';
import { IconName } from "../../../../../../../shared/types/dist/src";
import { ButtonProps } from "./Button";
export type IconButtonProps = Override<JSXElementProps<'div'>, {
    iconName: IconName;
    iconSize?: number;
    childrenFontSize?: number;
    isHighlighted?: boolean;
    isIncomplete?: boolean;
    disabled?: ButtonProps['disabled'];
    maxWidth?: CSS.Property.MaxWidth;
    onClick?: ButtonProps['onClick'];
    styleType?: ButtonProps['styleType'];
}>;
declare const IconButton: React.ForwardRefExoticComponent<Omit<Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key">, "ref">, "onClick" | "maxWidth" | "disabled" | "iconName" | "styleType" | "isHighlighted" | "iconSize" | "childrenFontSize" | "isIncomplete"> & {
    iconName: IconName;
    iconSize?: number | undefined;
    childrenFontSize?: number | undefined;
    isHighlighted?: boolean | undefined;
    isIncomplete?: boolean | undefined;
    disabled?: ButtonProps['disabled'];
    maxWidth?: CSS.Property.MaxWidth<0 | (string & {})> | undefined;
    onClick?: ButtonProps['onClick'];
    styleType?: ButtonProps['styleType'];
} & React.RefAttributes<HTMLDivElement>>;
export default IconButton;
