import React from 'react';
import { ButtonProps } from "./Button";
export type ToggleButtonProps = ButtonProps & {
    isPressed?: boolean;
    isOutline?: boolean;
};
declare const ToggleButton: React.ForwardRefExoticComponent<Omit<Omit<Omit<React.DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, "key">, "ref">, "waiting"> & {
    waiting?: Maybe<boolean>;
} & {
    size?: "default" | "lg" | "sm" | "xs" | undefined;
    styleType?: "default" | "magenta" | "violet" | "info" | "success" | "warning" | "danger" | "primary" | "darkDefault" | "information" | "inherited" | undefined;
    mobileBlock?: boolean | undefined;
    flatLeftEdge?: boolean | undefined;
    flatRightEdge?: boolean | undefined;
    block?: boolean | undefined;
} & {
    isPressed?: boolean | undefined;
    isOutline?: boolean | undefined;
} & React.RefAttributes<HTMLButtonElement>>;
export default ToggleButton;
