import { MaskedInputProps } from 'react-text-mask';
export declare const maskTypes: readonly ["date", "dollar", "phone", "ssnum", "zip"];
export type InputMaskType = (typeof maskTypes)[number];
export type InputMask = {
    [key in InputMaskType]: MaskedInputProps;
};
declare const inputMask: InputMask;
export default inputMask;
