import React from 'react';
export type NavOrientation = 'horizontal' | 'vertical';
export type NavigationProps = Override<JSXElementProps<'nav'>, {
    navOrientation: NavOrientation;
    useAltStyle?: boolean;
    selected?: string;
}>;
export declare const Navigation: React.ForwardRefExoticComponent<Omit<Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLElement>, HTMLElement>, "key">, "ref">, "selected" | "useAltStyle" | "navOrientation"> & {
    navOrientation: NavOrientation;
    useAltStyle?: boolean | undefined;
    selected?: string | undefined;
} & React.RefAttributes<HTMLElement>>;
