import React from 'react';
import type { NavOrientation } from "./Navigation";
export type NavigationItemProps = Override<JSXElementProps<'li'>, {
    id: string | number;
    highlightedId?: string | number;
    isDisabled?: boolean;
    useAltStyle?: boolean;
    navOrientation?: NavOrientation;
}>;
export declare const NavigationItem: React.ForwardRefExoticComponent<Omit<Omit<Omit<React.DetailedHTMLProps<React.LiHTMLAttributes<HTMLLIElement>, HTMLLIElement>, "key">, "ref">, "id" | "isDisabled" | "highlightedId" | "useAltStyle" | "navOrientation"> & {
    id: string | number;
    highlightedId?: string | number | undefined;
    isDisabled?: boolean | undefined;
    useAltStyle?: boolean | undefined;
    navOrientation?: NavOrientation | undefined;
} & React.RefAttributes<HTMLLIElement>>;
