import React from 'react';
import { NavigationProps } from "../Navigation";
import { NavigationItemProps } from "../NavigationItem";
export type SideNavProps = Omit<NavigationProps, 'navOrientation'>;
declare const SideNav: React.ForwardRefExoticComponent<SideNavProps & React.RefAttributes<HTMLElement>>;
export type SideNavItemProps = Omit<NavigationItemProps, 'navOrientation'>;
declare const SideNavItem: React.ForwardRefExoticComponent<SideNavItemProps & React.RefAttributes<HTMLLIElement>>;
type SideNavComponent = typeof SideNav & {
    Item: typeof SideNavItem;
};
declare const _default: SideNavComponent;
export default _default;
