import React from 'react';
import PropTypes from 'prop-types';
import { ButtonProps } from "../../controls/buttons/Button";
export interface ActionProps extends ButtonProps {
    isPrimary?: boolean;
}
declare function Action({ isPrimary, ...rest }: ActionProps): React.JSX.Element;
declare namespace Action {
    var propTypes: {
        isPrimary: PropTypes.Requireable<boolean>;
    };
    var defaultProps: {
        isPrimary: boolean;
    };
}
export default Action;
