import React from 'react';
import type { DatePartChangeHandler } from "./DateInput";
export type YearProps = Override<JSXElementProps<'input'>, {
    date?: Date;
    onChange?: DatePartChangeHandler;
}>;
declare const Year: React.ForwardRefExoticComponent<Omit<Omit<Omit<React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "key">, "ref">, "onChange" | "date"> & {
    date?: Date | undefined;
    onChange?: DatePartChangeHandler | undefined;
} & React.RefAttributes<HTMLInputElement>>;
export default Year;
