import React from 'react';
import { BasicTextboxProps } from "../../controls/textbox/InputBase";
export type IncrementerProps = BasicTextboxProps & {
    startingValue?: Maybe<number | string>;
    incrementAmount?: number;
    decrementAmount?: number;
    upperThreshold?: number | null;
    lowerThreshold?: number | null;
    useOutlineButton?: boolean;
    onValueUpdated?: (value: number) => void;
};
declare const Incrementer: React.ForwardRefExoticComponent<Omit<Omit<React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "key">, "ref"> & import("../../controls/textbox/InputBase").FlatInputProps & {
    startingValue?: Maybe<number | string>;
    incrementAmount?: number | undefined;
    decrementAmount?: number | undefined;
    upperThreshold?: number | null | undefined;
    lowerThreshold?: number | null | undefined;
    useOutlineButton?: boolean | undefined;
    onValueUpdated?: ((value: number) => void) | undefined;
} & React.RefAttributes<HTMLDivElement>>;
export default Incrementer;
