import React from 'react';
export type StarRatingProps = Override<JSXElementProps<'button'>, {
    rating: number;
    isPoorPerformer?: boolean;
    ratingCount?: number;
    ratingExplanation?: string;
    onExplanationOpen?: () => void;
    noRatingText?: string;
}>;
declare const StarRating: React.ForwardRefExoticComponent<Omit<Omit<Omit<React.DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, "key">, "ref">, "rating" | "isPoorPerformer" | "ratingCount" | "ratingExplanation" | "onExplanationOpen" | "noRatingText"> & {
    rating: number;
    isPoorPerformer?: boolean | undefined;
    ratingCount?: number | undefined;
    ratingExplanation?: string | undefined;
    onExplanationOpen?: (() => void) | undefined;
    noRatingText?: string | undefined;
} & React.RefAttributes<HTMLButtonElement>>;
export default StarRating;
