import React from 'react';
import { ModalProps } from "../../containers/modal/Modal";
export type StarRatingExplanationProps = Override<ModalProps, {
    parentNode: HTMLElement;
    closeModal?: () => void;
}>;
declare const StarRatingExplanation: React.ForwardRefExoticComponent<Omit<ModalProps, "parentNode" | "closeModal"> & {
    parentNode: HTMLElement;
    closeModal?: (() => void) | undefined;
} & React.RefAttributes<HTMLDivElement>>;
export default StarRatingExplanation;
