import React from 'react';
import { TimeoutProps } from 'react-transition-group/Transition';
type Opacity = React.CSSProperties['opacity'];
export interface FadeProps extends Partial<TimeoutProps<HTMLElement>> {
    duration?: number;
    opacity?: Opacity;
    children: NonNullable<React.ReactNode>;
}
declare const Fade: React.FC<FadeProps>;
export default Fade;
