import { DOMAttributes } from 'react';
type BasicDOMProps = DOMAttributes<HTMLElement>;
export type DOMPropTypes = PropTypesOf<BasicDOMProps>;
type NonNullableDOMKeys = NonNullableKeys<DOMPropTypes>;
type DOMDefaultProps = {
    [key in NonNullableDOMKeys]?: BasicDOMProps[key];
};
export declare const domProps: DOMPropTypes;
export declare const domDefaultProps: DOMDefaultProps;
export {};
