import 'get-root-node-polyfill/implement';
import React from 'react';
export type RootNode = HTMLElement | ShadowRoot | undefined;
export default function useRootNode<T extends RootNode = RootNode>(initialRoot?: T): readonly [T, (instance: Maybe<RootNode>) => void];
export declare function useRootNodeLocator(initialRoot?: RootNode): readonly [HTMLElement | ShadowRoot, () => React.JSX.Element];
export declare const RootNodeContext: React.Context<RootNode>;
export declare function useRootNodeContext(): RootNode;
export declare function RootNodeProvider({ children }: {
    children: React.ReactNode;
}): React.JSX.Element;
