import React from 'react';
import ReactComponentRenderer from 'orig-sg-components/ReactComponent/ReactComponentRenderer';
import Examples from 'orig-sg-components/Examples';
export type ExamplesComponent = typeof Examples;
export type ExamplesComponentProps = React.ComponentPropsWithoutRef<ExamplesComponent>;
export type ExamplesElement = React.ReactElement<ExamplesComponentProps>;
export type ComponentRendererProps = Override<React.ComponentPropsWithoutRef<typeof ReactComponentRenderer>, {
    examples: ExamplesElement;
}>;
declare const ComponentRenderer: React.FC<ComponentRendererProps>;
export default ComponentRenderer;
