import React from 'react';
export type FullColorIconProps = Override<JSXElementProps<'div'>, {
    /** Name of the icon to display */
    name: string;
    /** Specify icon size in pixels */
    size?: string | number;
}>;
declare const FullColorIcon: React.ForwardRefExoticComponent<Omit<Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key">, "ref">, "name" | "size"> & {
    /** Name of the icon to display */
    name: string;
    /** Specify icon size in pixels */
    size?: string | number | undefined;
} & React.RefAttributes<HTMLDivElement>>;
export default FullColorIcon;
