import React from 'react';
import PropTypes from 'prop-types';
import { FormStyle } from "../../../../../../../shared/types/dist/src";
export type FormContextShape = {
    [key in FormStyle]?: boolean;
};
export type FormProps = JSXElementProps<'form'> & {
    flat?: boolean;
};
declare const Form: React.ForwardRefExoticComponent<Omit<Omit<React.DetailedHTMLProps<React.FormHTMLAttributes<HTMLFormElement>, HTMLFormElement>, "key">, "ref"> & {
    flat?: boolean | undefined;
} & React.RefAttributes<HTMLFormElement>>;
export default Form;
export declare const FormContext: React.Context<FormContextShape>;
export declare const FormContextProvider: {
    ({ value, ...props }: React.ProviderProps<FormContextShape>): React.JSX.Element;
    propTypes: {
        value: PropTypes.Requireable<object>;
    };
};
