import React from 'react';
import { DefaultTheme } from 'styled-components';
import { HeadingLevel } from "../../../../../../../shared/types/dist/src";
export declare const globalHeadingsCss: import("styled-components").FlattenInterpolation<import("styled-components").ThemeProps<DefaultTheme>>;
export type HeadingProps = JSXElementProps<'h1'> & {
    children?: React.ReactNode;
    level?: HeadingLevel;
    size?: HeadingLevel;
    isKnockoutStyle?: boolean;
    underlineColor?: string | null;
};
declare const Heading: import("styled-components").StyledComponent<({ level, ...props }: HeadingProps) => React.JSX.Element, DefaultTheme, {}, never>;
/** @component */
export default Heading;
export declare const PageHeading: import("styled-components").StyledComponent<({ level, ...props }: HeadingProps) => React.JSX.Element, DefaultTheme, {
    isKnockoutStyle: true;
    level: 1;
}, "level" | "isKnockoutStyle">;
