import React from 'react';
export type RequiredReactNode = NonNullable<React.ReactNode>;
export type TabAction = (name: RequiredReactNode, children: React.ReactNode, simpleName: string, announcerText: string) => void | Promise<void>;
export type TabProps = Override<JSXElementProps<'button'>, {
    name: RequiredReactNode;
    selected?: boolean;
    action?: TabAction;
    simpleName?: string;
    announcerText?: string;
}>;
declare const Tab: React.ForwardRefExoticComponent<Omit<Omit<Omit<React.DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, "key">, "ref">, "name" | "action" | "selected" | "simpleName" | "announcerText"> & {
    name: RequiredReactNode;
    selected?: boolean | undefined;
    action?: TabAction | undefined;
    simpleName?: string | undefined;
    announcerText?: string | undefined;
} & React.RefAttributes<HTMLButtonElement>>;
export default Tab;
