import React from 'react';
import Tab, { TabProps, RequiredReactNode } from "./Tab";
type TabElement = React.ReactElement<TabProps>;
export type TabPanelProps = Override<JSXElementProps<'div'>, {
    children: TabElement | TabElement[];
    selectedKey?: React.ReactNode;
    tabChanged?: (header: RequiredReactNode) => void;
    canTabChange?: (header: RequiredReactNode) => Maybe<boolean> | Promise<Maybe<boolean>>;
}>;
declare const TabPanel: React.ForwardRefExoticComponent<Omit<Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key">, "ref">, "children" | "selectedKey" | "tabChanged" | "canTabChange"> & {
    children: TabElement | TabElement[];
    selectedKey?: React.ReactNode;
    tabChanged?: ((header: RequiredReactNode) => void) | undefined;
    canTabChange?: ((header: RequiredReactNode) => Maybe<boolean> | Promise<Maybe<boolean>>) | undefined;
} & React.RefAttributes<HTMLDivElement>>;
type TabPanelComponent = typeof TabPanel & {
    Tab: typeof Tab;
};
declare const _default: TabPanelComponent;
export default _default;
