import React from 'react';
import { Placement } from '@floating-ui/react';
import { PopoverLinkProps } from "../../controls/buttons/PopoverLink";
type HandledLinkProps = 'children' | 'styleType';
declare const Tooltip: React.ForwardRefExoticComponent<Omit<Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key">, "ref">, "name" | "id" | "children" | "content" | "position" | "styleType" | "disableHover" | "disableFocus" | "linkProps"> & {
    name: string;
    children: PopoverLinkProps['children'];
    content: React.ReactNode;
    position?: Placement | undefined;
    disableHover?: boolean | undefined;
    disableFocus?: boolean | undefined;
    styleType?: PopoverLinkProps['styleType'];
    linkProps?: Omit<PopoverLinkProps, HandledLinkProps> | undefined;
    id?: string | undefined;
} & React.RefAttributes<HTMLButtonElement>>;
export default Tooltip;
