import React from 'react';
import * as CSS from 'csstype';
import { Orientation } from "./OrientationContext";
import { ValidationStyleType } from "../../../../../../shared/types/dist/src";
interface ControlDisplayProps {
    borderOffset?: CSS.Property.PaddingRight;
    validationState?: ValidationStyleType;
}
export type ControlProps = Override<JSXElementProps<'div'>, ControlDisplayProps & {
    hasValidationBorder?: boolean;
    orientation?: Orientation;
    flat?: boolean;
}>;
declare const Control: React.ForwardRefExoticComponent<Omit<Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key">, "ref">, "orientation" | "flat" | keyof ControlDisplayProps | "hasValidationBorder"> & ControlDisplayProps & {
    hasValidationBorder?: boolean | undefined;
    orientation?: "inline" | "stacked" | undefined;
    flat?: boolean | undefined;
} & React.RefAttributes<HTMLDivElement>>;
export default Control;
