import 'get-root-node-polyfill/implement';
import React from 'react';
import { ButtonProps } from "./Button";
declare const StyledButtonLink: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<Omit<import("./ButtonBase").ButtonBaseProps, "children" | "styleType"> & {
    styleType?: "default" | "magenta" | "violet" | "info" | "success" | "warning" | "danger" | "primary" | "darkDefault" | "information" | "inherited" | undefined;
    children: NonNullable<React.ReactNode>;
} & React.RefAttributes<HTMLButtonElement>>, import("styled-components").DefaultTheme, {}, never>;
export type DropdownButtonProps = Omit<ButtonProps, 'children'> & {
    children: NonNullable<React.ReactNode>;
    buttonValue?: React.ReactNode;
    manualButtonValue?: React.ReactNode;
    shouldUpdateButtonValue?: boolean;
    shouldCloseOnButtonClick?: boolean;
    rootClose?: boolean;
    styleType?: ButtonProps['styleType'];
    inline?: boolean;
    id?: string;
    flatLeftEdge?: boolean;
    flatRightEdge?: boolean;
};
declare const DropdownButton: React.ForwardRefExoticComponent<Omit<ButtonProps, "children"> & {
    children: NonNullable<React.ReactNode>;
    buttonValue?: React.ReactNode;
    manualButtonValue?: React.ReactNode;
    shouldUpdateButtonValue?: boolean | undefined;
    shouldCloseOnButtonClick?: boolean | undefined;
    rootClose?: boolean | undefined;
    styleType?: ButtonProps['styleType'];
    inline?: boolean | undefined;
    id?: string | undefined;
    flatLeftEdge?: boolean | undefined;
    flatRightEdge?: boolean | undefined;
} & React.RefAttributes<HTMLButtonElement>>;
type DropdownButtonComponent = typeof DropdownButton & {
    Button: typeof StyledButtonLink;
};
declare const _default: DropdownButtonComponent;
export default _default;
