import React from 'react';
import { CheckboxProps } from "./Checkbox";
export type CheckboxGroupProps = {
    onChange: (values: CheckboxProps['value'][]) => void;
    options?: CheckboxProps[];
    disableAllOptions?: boolean;
    checkAllText?: string;
    textOnHoverCheckAll?: boolean;
    displayClassName?: string;
};
export declare function useCheckboxGroupActions({ originalSelectedValues, onChange }: {
    onChange: (values: string[]) => void;
    originalSelectedValues: string[];
}): {
    readonly selectedValues: string[];
    readonly setSelectedValues: React.Dispatch<React.SetStateAction<string[]>>;
    readonly handleCheckboxChange: (ev: React.ChangeEvent<HTMLInputElement>) => void;
};
declare const CheckboxGroup: React.FC<CheckboxGroupProps>;
export default CheckboxGroup;
