import React from 'react';
import { NavigationProps } from "../Navigation";
import { NavigationItem, NavigationItemProps } from "../NavigationItem";
export type HorizontalNavProps = Omit<NavigationProps, 'navOrientation'>;
declare const HorizontalNav: React.ForwardRefExoticComponent<HorizontalNavProps & React.RefAttributes<HTMLElement>>;
export type HorizontalNavItemProps = Omit<NavigationItemProps, 'navOrientation'>;
type HorizontalNavComponent = typeof HorizontalNav & {
    Item: typeof NavigationItem;
};
declare const _default: HorizontalNavComponent;
export default _default;
