import React from 'react';
import { DropdownProps } from "../../controls/dropdown/Dropdown";
import type { DatePartChangeHandler } from "./DateInput";
export type MonthProps = Override<DropdownProps, {
    monthNames?: string[];
    date?: Date;
    selectOptionText?: string;
    onChange?: DatePartChangeHandler;
}>;
declare const Month: React.ForwardRefExoticComponent<Omit<DropdownProps, "onChange" | "date" | "monthNames" | "selectOptionText"> & {
    monthNames?: string[] | undefined;
    date?: Date | undefined;
    selectOptionText?: string | undefined;
    onChange?: DatePartChangeHandler | undefined;
} & React.RefAttributes<HTMLSelectElement>>;
export declare const monthNames: readonly ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
export type MonthName = (typeof monthNames)[number];
export default Month;
