import React from 'react';
interface ProgressContainerProps {
    activeStepIndex: number;
    numberOfSteps: number;
}
export declare const ProgressContainer: import("styled-components").StyledComponent<"ol", import("styled-components").DefaultTheme, ProgressContainerProps, never>;
export declare const BasicProgressButton: import("styled-components").StyledComponent<"button", import("styled-components").DefaultTheme, {}, never>;
type ProgressItemProps = {
    active?: Maybe<boolean>;
    isPastStep?: Maybe<boolean>;
    numberOfSteps: number;
    onPastStepClicked?: () => void;
    onFutureStepClicked?: () => void;
    canClickFutureStep?: Maybe<boolean>;
    label?: string;
    showNav?: Maybe<boolean>;
};
export declare const ProgressItem: React.ForwardRefExoticComponent<ProgressItemProps & React.RefAttributes<HTMLLIElement>>;
export {};
