export type HTMLButtonProps = JSXElementProps<'button'>;
export type HTMLButtonPropTypes = PropTypesOf<HTMLButtonProps>;
type NonNullableButtonKeys = NonNullableKeys<HTMLButtonProps>;
export type HTMLInputButtonProps = {
    [key in NonNullableButtonKeys]?: HTMLButtonProps[key];
};
export declare const buttonTypes: readonly ["button", "submit", "reset"];
export type ButtonType = (typeof buttonTypes)[number];
export declare const htmlButtonPropTypes: HTMLButtonPropTypes;
export declare const htmlButtonDefaultProps: HTMLInputButtonProps;
export {};
