export type BasicHTMLProps = JSXElementProps<'basicHTMLElement'>;
export type HTMLPropTypes = PropTypesOf<BasicHTMLProps>;
type NonNullableHTMLKeys = NonNullableKeys<BasicHTMLProps>;
export type HTMLDefaultProps = {
    [key in NonNullableHTMLKeys]?: BasicHTMLProps[key];
};
export type InputMode = 'none' | 'text' | 'tel' | 'url' | 'email' | 'numeric' | 'decimal' | 'search';
export declare const inputModes: InputMode[];
export declare const htmlProps: HTMLPropTypes;
export declare const htmlDefaultProps: HTMLDefaultProps;
export {};
