export type HTMLInputProps = JSXElementProps<'input'>;
export type HTMLInputPropTypes = PropTypesOf<HTMLInputProps>;
type NonNullableInputKeys = NonNullableKeys<HTMLInputProps>;
export type HTMLInputDefaultProps = {
    [key in NonNullableInputKeys]?: HTMLInputProps[key];
};
export declare const inputTypes: readonly ["button", "checkbox", "color", "date", "datetime-local", "email", "file", "hidden", "image", "month", "number", "password", "radio", "range", "reset", "search", "submit", "tel", "text", "time", "url", "week"];
export declare const htmlInputPropTypes: HTMLInputPropTypes;
export declare const htmlInputDefaultProps: HTMLInputDefaultProps;
export {};
