import React from 'react';
import PropTypes from 'prop-types';
import { ThemeProvider } from 'styled-components';
import { RenderResult } from '@testing-library/react';
export declare function ThemeComponent(props: Omit<React.ComponentPropsWithoutRef<typeof ThemeProvider>, 'theme'>): React.JSX.Element;
export declare namespace ThemeComponent {
    var propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    };
}
export declare function renderWithTheme(component: React.ReactElement): RenderResult;
export declare const setClientWidth: (width: number) => void;
export declare const setClientHeight: (height: number) => void;
