/// <reference types="react" />
export type OriginalState<T> = T | (() => T);
export type SetStateFunction<T> = React.Dispatch<React.SetStateAction<T>>;
export declare function useMountedOnlyState<T>(): [
    T | undefined,
    SetStateFunction<T | undefined>
];
export declare function useMountedOnlyState<T>(origState: OriginalState<T>): [T, SetStateFunction<T>];
